OP5 Monitor ["OP5 Monitor"]
["Compatibility Matrix"]

OP5 Monitor 8.x compatibility matrix

Supported versions

ITRS supports the last two minor versions of OP5 Monitor:

  • 8.2.x
  • 8.1.x
  • 7.5.x

For more information on versioning, see Release types.

Only the latest major version, OP5 Monitor 8.x.x, receives regular enhancements and fixes. In exceptional circumstances, critical fixes may be backported to previous major or minor versions, such as OP5 Monitor 7.x.x.

Operating system support

OP5 Monitor version RHEL 6 RHEL 7 CentOS 6 CentOS 7

8.2.x

8.1.x

End of support
12 February 2020
End of support
12 February 2020
7.5.x
End of life
30 November 2020

End of life
30 November 2020
         

Note: The RHEL 6 and CentOS 6 platforms will both reach end of life on 30 November 2020. Therefore, ITRS OP5 Monitor will also cease to support these platforms on that date. End of support for these platforms take effect earlier for OP5 Monitor version 8.x.

RHEL 8 and CentOS 8 are currently not supported.

 

OP5 Monitor collects data by running plugins. Checks can be agentless or through agents and APIs.

NRPE is an agent distributed with Linux operating systems, while NSClient++ is an agent that is installed on Windows servers.

Agent/Agentless Windows Linux: RHEL 7 Linux: SUSE Linux: Ubuntu IBM AIX
NRPE v. 2, 3, and 4      
NSClient++ v0.5.1 and above Windows Server 2008 and 2012        
SSH  
SNMP    
WMI Windows Server 2008 and 2012        
           

Note: ITRS does not provide support on agents installed on different Linux distributions. Verify with the package manager in your Linux distribution and the support of the agent on the specific OS.

The table above is the verification of our plugin working with the specific agent in the base OS.

SNMP is limited to the configuration on the remote server for the specific check to be performed on that system.

Containerised environment support

ITRS supports running OP5 Monitor Slim Poller in the following containerised environments.

Each component should meet the documented minimum operating system requirements.

Container environment Slim Poller
Docker Enterprise or Community Edition beginning version 18.03
   

Cloud environment support

ITRS supports running OP5 Monitor in cloud environments such as Amazon Web Services (AWS), Google Cloud Platform, and Microsoft Azure.

Each component should meet the documented minimum operating system requirements.

Deploying OP5 Monitor into any cloud environment needs to take into consideration connectivity, performance, network traffic, and cost implications.

These are the publicly available machine images:

Provider OP5 Monitor version
Azure Marketplace OP5 Monitor 8.0.5 or higher
AWS Marketplace OP5 Monitor 8.0.5 or higher
   

Plugin support

For the full list of supported plugins, see Plugin reference.

Browser support

Browser Supported version
Chrome Latest stable version
Firefox 38 +
Edge 44.x +
   

Compatibility and lifecycle

This section outlines all the changes to ITRS OP5 Monitor compatibility and lifecycle.

Release types

The version numbers consist of three digits: major.minor.micro.

We continuously introduce new releases, which are normally considered micro releases. In rare cases build versions are used if the micro release does not fulfil our internal QA and a new build has to be created.

The releases can contain bug fixes, change of functions, or one or the other. When there have been enough micro releases that changed the user experience significantly or we introduce new features, we bump a minor version number. Major versions provide us with an opportunity to introduce features and break backwards compatibility.

Active maintenance of a minor release implies that we are fixing bugs and backporting some number of fixes into that code branch.

End of availability

The end of availability means that the affected components will no longer be available for download. This ends the releasing of binaries, but the support continues:

Notice of change Effective date
End of availability for ITRS OP5 Monitor 7.5.x. 13 April 2021

End of support notices

End of support means that the affected components are no longer supported:

Notice of change Effective date
End of support for ITRS OP5 Monitor 8.x.x running on RHEL 6 or CentOS 6 12 February 2020
End of support for the and Android applications of the ITRS OP5 Monitor. These applications are no longer available for download. 28 April 2020
End of support for ITRS OP5 Monitor 8.x.x running on Internet Explorer. 1 May 2020
End of support for ITRS OP5 Monitor version 8.0.x. 23 June 2020

End of support for the DokuWiki module for all versions of ITRS OP5 Monitor.

If you want to set up DokuWiki separately, see How to install DokuWiki stand-alone on CentOS 8.

10 November 2020
End of support for all versions of ITRS OP5 Monitor running on RHEL 6 or CentOS 6 30 November 2020
End of support for ITRS OP5 Monitor 7.5.x. 13 October 2021